DevelopersAPIReferencetransactions
List transactions
Ordered by date descending. Filter by date range, asset, or category.
Authorization
bearerAuth Authorization<token>
A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
In: header
Path Parameters
walletId*string
Row uuid
Format
uuidQuery Parameters
from?string
Earliest date (inclusive)
Match
^\d{4}-\d{2}-\d{2}$to?string
Latest date (inclusive)
Match
^\d{4}-\d{2}-\d{2}$assetId?string
Row uuid
Format
uuidcategoryId?string
Category row uuid or a system-category sentinel ('transfer'/'balance'/'offset')
limit?integer
Range
1 <= value <= 10000Default
1000offset?|
Range
0 <= valueDefault
0Response Body
application/json
application/json
curl -X GET "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/transactions"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string", "secondaryDate": "string", "fromTo": "string", "description": "string", "amountValue": "string", "amountCurrency": "EUR", "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0", "merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b", "merchantAutoAssigned": true, "merchantCheckedGoogleMaps": true, "merchantCheckedSearchApiGoogleWebSearch": true, "excludeFromMerchantAutoAssignment": true, "usingDateRule": "transactionDate", "usingStartDate": "string", "usingEndDate": "string", "notes": "string", "parentTransactionId": "f8033cf6-befa-47f4-a48a-b915b8c72a71", "parent": true, "source": "string", "assignedUserId": "string", "transferCounterType": "transaction", "transferCounterId": "bfd53a44-3603-4023-978c-daf5f740c5fd", "gocardlessTransactionId": "string", "gocardlessInternalTransactionId": "string", "finApiTransactionId": "string", "plaidTransactionId": "string", "klarnaTransactionId": "string", "tagIds": [ "9c99701b-f191-4642-8bc0-e04053f29131" ], "pending": true, "reviewed": true, "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string" }]